Package com.databend.jdbc.log

# Interface DatabendLogger

All Known Implementing Classes:
  `JDKLogger`, `SLF4JLogger`

public interface DatabendLogger

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String message)`
`void`
`debug(String message, Object... arguments)`
`void`
`debug(String message, Throwable t)`
`void`
`error(String message)`
`void`
`error(String message, Object... arguments)`
`void`
`error(String message, Throwable t)`
`void`
`info(String message)`
`void`
`info(String message, Object... arguments)`
`void`
`info(String message, Throwable t)`
`void`
`trace(String message)`
`void`
`trace(String message, Object... arguments)`
`void`
`trace(String message, Throwable t)`
`void`
`warn(String message)`
`void`
`warn(String message, Object... arguments)`
`void`
`warn(String message, Throwable t)`

## Method Details

### trace

void trace(String message)

### trace

void trace(String message, Object... arguments)

### trace

void trace(String message, Throwable t)

### debug

void debug(String message)

### debug

void debug(String message, Object... arguments)

### debug

void debug(String message, Throwable t)

### info

void info(String message)

### info

void info(String message, Object... arguments)

### info

void info(String message, Throwable t)

### warn

void warn(String message)

### warn

void warn(String message, Object... arguments)

### warn

void warn(String message, Throwable t)

### error

void error(String message)

### error

void error(String message, Object... arguments)

### error

void error(String message, Throwable t)